{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <h1>Admin Page</h1>
      </div>
    </div>
  </div>

  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <table class="table table-sm table-bordered" style="font-size: 10pt;">
          <h4 style="font-size: 13pt;"><i class="fa fa-cog"></i> Account Request List</h4>
          <thead class="table-light">
            <tr>
              <th scope="col" align="center" valign="middle">First Name</th>
              <th scope="col" align="center" valign="middle">Last Name</th>
              <th scope="col" align="center" valign="middle">institution</th>
              <th scope="col" align="center" valign="middle">Email</th>
              <th scope="col" align="center" valign="middle">Authority</th>
              <th scope="col" align="center" valign="middle">Approval</th>
            </tr>
          </thead>
          <tbody>
            <form method="post" action="add_user" accept-charset="UTF-8">
            {% for req in request %}
            <tr>
              <td align="center" valign="middle">{{ req['firstName'] }}</td>
              <td align="center" valign="middle">{{ req['lastName'] }}</td>
              <td align="center" valign="middle">{{ req['institution'] }}</td>
              <td align="center" valign="middle">{{ req['email'] }}</td>
              <td align="center" valign="middle">
                <select name="authority">
                <option value={{ req['authority'] }}>{{ req['authority'] }}</option>
                <option value=1>1</option>
                <option value=2>2</option>
                <option value=3>3</option>
                <option value=4>4</option>
                <option value=5>5</option>
                <option value=6>6</option>
                <option value=7>7</option>
                </select>
              </td>
              <td align="center" valign="middle">
                <select name="approval">
                  <option value="">*** chose approve/deny ***</option>
                  <option value="deny">Deny</option>
                  <option value="approve">Approve</option>
                </select>
              </td>
              <input type="hidden" name="id" value={{ req['_id'] }} />
            </tr>
            {% endfor %}
            <tr>
              <td colspan="6"><button type="submit" class="btn btn-outline-success btn-block">Commit</button></td>
            </tr>
            </form>
          </tbody>
        </table>
      </div>
    </div>

    <div class="row align-items-center justify-content-center">
      <div class="col">
        <table class="table table-sm table-bordered" style="font-size: 10pt;">
          <h4 style="font-size: 13pt;"><i class="fa fa-cog"></i> User List</h4>
          <thead class="table-light">
            <tr>
              <th scope="col" align="center" valign="middle">First Name</th>
              <th scope="col" align="center" valign="middle">Last Name</th>
              <th scope="col" align="center" valign="middle">institution</th>
              <th scope="col" align="center" valign="middle">Email</th>
              <th scope="col" align="center" valign="middle">Authority</th>
              <th scope="col" align="center" valign="middle">Removal</th>
            </tr>
          </thead>
          <tbody>
            {% for us in user %}
            <tr>
              <td align="center" valign="middle">{{ us['firstName'] }}</td>
              <td align="center" valign="middle">{{ us['lastName'] }}</td>
              <td align="center" valign="middle">{{ us['institution'] }}</td>
              <td align="center" valign="middle">{{ us['email'] }}</td>
              <td align="center" valign="middle">{{ us['authority'] }}</td>
              <td align="center" valign="middle">
                <form method="post" action="remove_user" accept-charset="UTF-8">
                  <input type="hidden" name="id" value={{ us['_id'] }} />
                  <button type="submit" class="btn btn-outline-danger btn-block">Remove</button>
                </form>
              </td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>

    <div class="row align-items-center justify-content-center">
      <div class="col">
        <table class="table table-sm table-bordered" style="font-size: 10pt;">
          <h4 style="font-size: 13pt;"><i class="fa fa-cog"></i> Admin List</h4>
          <thead class="table-light">
            <tr>
              <th scope="col" align="center" valign="middle">First Name</th>
              <th scope="col" align="center" valign="middle">Last Name</th>
              <th scope="col" align="center" valign="middle">institution</th>
              <th scope="col" align="center" valign="middle">Email</th>
              <th scope="col" align="center" valign="middle">Authority</th>
              <th scope="col" align="center" valign="middle">Removal</th>
            </tr>
          </thead>
          <tbody>
            {% for ad in admin %}
            <tr>
              <td align="center" valign="middle">{{ ad['firstName'] }}</td>
              <td align="center" valign="middle">{{ ad['lastName'] }}</td>
              <td align="center" valign="middle">{{ ad['institution'] }}</td>
              <td align="center" valign="middle">{{ ad['email'] }}</td>
              <td align="center" valign="middle">{{ ad['authority'] }}</td>
              <td align="center" valign="middle">
                <form method="post" action="remove_user" accept-charset="UTF-8">
                  <input type="hidden" name="id" value={{ ad['_id'] }} />
                  <button type="submit" class="btn btn-outline-danger btn-block">Remove</button>
                </form>
              </td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>

  </div>

{% endblock %}
